<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.iocoder.yudao.module.knowledge.mapper.RfeuTaskContentMapper">

    <select id="getListBy" resultType="cn.iocoder.yudao.module.knowledge.entity.RfeuTaskContent"
            parameterType="java.lang.Long">
        select  rrtc.*,tru.username,trc.file_name from r_rfeu_task_content rrtc
        inner join t_rfeu_task trt on trt.id = rrtc.task_id and trt.deleted = 0
        inner join t_rfe_user tru on tru.usercode = trt.user_id and tru.ref_code = rrtc.execution_id and tru.deleted = 0
        inner join t_rfe_content trc on trc.id = rrtc.content_id
        where
            rrtc.deleted = 0
         and rrtc.execution_id = #{executionId}
        order by trt.user_id

    </select>
</mapper>

